Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 10/09/2017, à 18:58

lemurof

MInecraft Ubuntu 15.10 32bits

Bonjour,

Voilà j'ai bien suivi le tuto proposé, j'ai utilisé plusieurs méthodes mais rien ne se passe, impossible de lancer minecraft ou d'utiliser un launcher..

J'ai fais ça

" Méthode graphique
Ajoutez le PPA ppa:minecraft-installer-peeps/minecraft-installer à vos sources de logiciels

puis rechargez la liste des paquets

Installer ensuite installer le paquet minecraft-installer."

au préalable, j'ai suivi le tuto pour java 8...

Rien ne se passe, j'ai téléchargé plusieurs launchers, autorisé en tant qu'éxécution de programme, soit rien de ne se passe, soit des messages d'erreurs "architecture amd64 incorrecte" par exemple,

Quand je lance le minecraft.jar ça me met ça

"Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 3/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 4/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 5/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 6/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 7/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 8/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 9/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Downloading: https://s3.amazonaws.com/Minecraft.Down … .pack.lzma (try 10/10)
Exception: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Unable to download remote file. Check your internet connection/proxy settings.
FATAL ERROR: net.minecraft.bootstrap.FatalBootstrapError: Unable to download while being forced
    at net.minecraft.bootstrap.Bootstrap.execute(Bootstrap.java:95)
    at net.minecraft.bootstrap.Bootstrap.main(Bootstrap.java:381)


Please fix the error and restart."


Qu'est-ce qu'il me manque ? Je sais que je suis novice mais j'ai bien essayé de suivre plusieurs tuto avant de poster...

Merci d'avance

Hors ligne

#2 Le 10/09/2017, à 19:06

xubu1957

Re : MInecraft Ubuntu 15.10 32bits

Bonjour,

Ta version 15.10 wily est périmée !

Depuis le 28 juillet 2016, Ubuntu 15.10 est en fin de vie . Elle ne profite plus de nouvelle mise à jour de sécurité et les paquets logiciels pour cette version sont déplacés dans des serveurs d'archive. Pour continuer à recevoir des mises à jour de sécurité, veuillez mettre à niveau votre version d'Ubuntu vers une version activement soutenue.

Tu devrais tester une version 16.04.1 LTS supportée jusqu'en avril 2021.


Pour ajouter toi-même les balises code à ton précédent message…

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1504631983.png

comme indiqué dans Retour utilisable de commande

Dernière modification par xubu1957 (Le 10/09/2017, à 19:07)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#3 Le 11/09/2017, à 05:31

lemurof

Re : MInecraft Ubuntu 15.10 32bits

Oui ma version est périmée, mais du coup cela veut systématiquement dire que je ne peux rien installer de nouveau (minecraft en l’occurrence) ?

Rien n'est plus compatible avec ma version Ubuntu concernant ce jeu ? Dans ce que tu cites, ça dit "déplacés dans une section d'archives", pas moyen de récupérer les bons paquets en adéquation avec ma version ?

Oui j'étais pas très chaud l'année dernière car le message de mise à niveau parlait de "risque de perdre toutes les données de l'ordinateur" mais s'il faut en passer par là, je sauvegarderais tout.

Hors ligne

#4 Le 11/09/2017, à 09:49

Caribou22

Re : MInecraft Ubuntu 15.10 32bits

Bonjour,

Les versions non-LTS sont des vrais pièges à débutants sad Si à l'époque de l'installation tu avais suffisamment été renseigné, tu aurais installé la 14.04 LTS au lieu de la 15.10 et tu n'aurais pas eu ce soucis. (Je l'ai eu aussi quand j'ai débuté, d'où ma petite aversion envers ces versions... )

Du coup tu es bloqué, oui...
Si la mise à niveau t'es toujours proposée, donne-nous d'abord les infos sur ton matériel (processeur, RAM, carte graphique.) pour que l'on évalue le risque que la mise à niveau pose problème.

Ou sinon, tu peux directement ré-installer la 16.04.1 LTS, et tu pourras la garder sans soucis jusqu'en 2021 smile

Sauvegarde tes fichiers dans tous les cas.

Hors ligne

#5 Le 11/09/2017, à 10:50

abelthorne

Re : MInecraft Ubuntu 15.10 32bits

C'est effectivement un problème d'être en 15.04, ça implique que tu ne peux plus installer grand chose et que tu n'as plus de mises à jour (y compris de sécurité) depuis un an et demi. Il faudrait vraiment passer à une version supportée.

Mais en l'occurrence, ton problème avec Minecraft ne vient vraisemblablement pas de ça : le launcher n'arrive pas à télécharger les données de Minecraft sur le CDN d'Amazon (https://s3.amazonaws.com/Minecraft.Down … .pack.lzma). Ça vient plutôt d'un problème de connexion internet : est-ce que tu es sur une connexion un peu particulière (derrière un proxy, sur une connexion universitaire / entreprise...) ?

En ligne

#6 Le 11/09/2017, à 20:57

lemurof

Re : MInecraft Ubuntu 15.10 32bits

Merci pour vos réponses d'abord, c'est vraiment cool

Donc oui pour jouer franc-jeu, ma tour était en train de mourir avec windows, j'avais entendu parler de linux, qui redonnait une seconde jeunesse à ton matériel, mais effectivement on m'a installé cette version y'a 3 ans, j'en été satisfait, excepté que je galérais pour installer quoique ce soit (winamax, minecraft, logiciel de montage audio, video)..

Si j'en crois vos posts, rien n'est perdu, je vais d'abord explorer la piste d'Abelthorne, qui m'évite de tout réinstallé, mais bon je pense qu'il faudra en venir là de tte façon, comme vous dites y'a juste à sauvegarder les trucs importants.

Je ne pense pas être derrière un proxy, je suis relié en ethernet sur box orange, le réseau domestique, à moins que quelque chose soit mal paramétrer de ma part ?

Pour les caractéristiques, c'est un Acer Aspire X3200, CPU 9550 AMD PHENOM, 4GB DDR2 MEMORY, NVIDIA GET FORCE 9300GE..

Hors ligne

#7 Le 11/09/2017, à 21:09

GammaDraconis

Re : MInecraft Ubuntu 15.10 32bits

Si si, tu va devoir réinstaller ! c'est pas propre du tout de partir d'une vieille version obsolète, il y a trop de décallage.
J'ai jamais compris cette peur des débutants de réinstaller son système, c'est vraiment avoir une profonde méconaissance sur comment ça fonctionne, en réalité une réinstallation est beaucoup moins risqué qu'une mise à niveau !

Il y a beaucoup de débutant comme toi Lemurof qui se font avoir avec les versions à court-terme !

En faites il ne faut utiliser que les versions à long terme qu'on appelle les LTS. Elle dure 5 ans alors que les versions à court terme ont une durée de vie très courte (seulement 9 mois).

Installe la 16.04 et tu seras tranquille jusqu'à 2021.

Dernière modification par GammaDraconis (Le 11/09/2017, à 21:11)

Hors ligne

#8 Le 11/09/2017, à 21:11

lemurof

Re : MInecraft Ubuntu 15.10 32bits

Ok je vais faire ça, je peux trouver cette version dans le logithèque ? Remarque attend je fouillerais sur le forum je vais voir ce que je trouve, je vais essayer de faire ça dans la semaine

Oui oui je reconnais avoir une méconnaissance du truc c'est clair, j'ai essayé de faire le max en suivant les topics avant de poster.

Débutant ou pas, je pense qu'on a tous ce même point commun d'en avoir marre de se faire pourrir son système par Windows. Sans connaitre grand chose, c'était ma principale motivation quand on m'a parlé de LInux ;-)

Dernière modification par lemurof (Le 11/09/2017, à 21:14)

Hors ligne

#9 Le 11/09/2017, à 21:31

abelthorne

Re : MInecraft Ubuntu 15.10 32bits

Non, pour la réinstallation, il faut télécharger l'ISO et graver un DVD (ou une clé USB) puis refaire l'installation à zéro, en reformatant le disque dur, etc.

Il y a plusieurs variantes d'Ubuntu, avec divers environnements de bureau (je te mets le lien vers le site de chacun pour l'ISO) :
- Ubuntu, environnement Unity : attention, il est en fin de vie et sera remplacé par GNOME à partir de la version 17.10 qui sort dans un mois ; si tu pars sur une LTS (16.04), ça ne te concerne pas à court terme, éventuellement à partir de la prochaine, la 18.04 qui sort en avril 2018.
- Ubuntu GNOME, environnement GNOME.
- Kubuntu, environnement KDE.
- Ubuntu MATE, environnement MATE.
- Xubuntu, environnement XFCE.
- Lubuntu, environnement LXDE.

LXDE est le plus léger et plutôt destiné à des PC peu puissants (netbooks, vieilles machines...) / XFCE et MATE demandent des ressources un peu plus importantes / KDE, GNOME et Unity sont les environnements les plus lourds. Avec ton matos, tu ne devrais pas avoir de problèmes de performances particulières quel que soit l'environnement (sachant que ceux qui sont un peu lourds ont tendance à être moins réactifs quelle que soit la puissance du PC).

Pour ce qui est des versions, tu as donc les LTS qui sortent tous les deux ans et sont supportées cinq ans (la dernière en date est la 16.04, avril 2016, supportée jusqu'en 2021), ce qui te permet de garder un système sur la durée mais en contrepartie tu as des logiciels plus anciens (ils n'évoluent pas − à quelques exceptions près − pendant la durée de vie d'une version). Et tu as les versions normales, qui sortent tous les six mois et sont supportées neuf mois, donc tu dois mettre à jour ton système à chaque fois ; en contrepartie, tu as des logiciels plus récents.

Et pour en revenir à ton problème avec Minecraft, c'est bizarre qu'il n'arrive pas à télécharger le fichier si tu es derrière une box Orange. Si tu cliques sur le lien du fichier, il se télécharge ? C'est possible aussi que ce soit un problème lié à Java qui vient du fait que c'est une ancienne version que tu ne peux plus mettre à jour à cause du problème de version général.

Dernière modification par abelthorne (Le 11/09/2017, à 21:33)

En ligne

#10 Le 12/09/2017, à 03:01

WATTT

Re : MInecraft Ubuntu 15.10 32bits

Bonsoir,

C'est un vieux problème que j'avais également. La solution était celle-ci selon mes souvenirs.
Il faut juste utiliser cette commande:

sudo /var/lib/dpkg/info/ca-certificates-java.postinst configure

De toute façon, il ne me semble pas que j'ai du faire cette manip avec les versions récentes d'Ubuntu, donc ça peut aussi être résolu en installant une version plus récente d'Ubuntu.


Configuration: AMD Phenom II X4 955 (3.2GHZ) - RAM : 12Go DDR3 (1333MHz)
Carte graphique : ATI RadeonHD  5770 1024Mo GDDR5 (1920x1200)
Systèmes d'exploitation: Ubuntu 17.04 Desktop 64 bits - Windows 10

Hors ligne

#11 Le 12/09/2017, à 08:26

abelthorne

Re : MInecraft Ubuntu 15.10 32bits

Avant de lancer la commande, vérifie quand même que le paquet ca-certificates-java est bien installé :

dpkg -l | grep certificates

En ligne